Cómo descubrir si es posible ejecutar Unity 3D en tu compu

En caso de que Unity 3D no funcione correctamente en tu compu, existe un modo de descubrir si ello se debe a la utilización de drivers erróneos, un bug o simplemente porque Unity 3D no soporta tu hardware.


Para descubrir si Unity 3D soporta el hardware de tu compu, abrí un terminal y escribí:

/usr/lib/nux/unity_support_test -p

Si obtenés un “yes” como respuesta al punto “Unity 3D supported”, tu compu debería poder correr Unity 3D (usando Compiz) sin problemas. Es muy posible que también puedas ejecutar GNOME Shell, ya que tienen requerimientos muy parecidos.

Este comando sólo funciona en Ubuntu 11.04 y 11.10. Si no utilizás ninguno de estos dos, no olvides que podés acceder a la lista de hardware certificado por Ubuntu para ver si tu compu puede ejecutar Unity 3D.

Fuente: WebUpd8


30 comentarios

  1.   Alllzapa dijo

    mi laptop es una toshiba satelite del 2003 y mueve a perfección Unity2D

  2.   Eduard Lucena dijo

    Jajajaja, nunca podré parar de reír con la gente. Señoras y señores, al que no le guste unity que no lo use, al que no le guste Gnome3 que no lo use. Esto es software libre.

    Además si tanto añoran Gnome Legacy (sí, aunque les duela, lloren, pataleen, sufran y se les reviente el hígado, es “LEGACY”) instalen Gnome3 y tendrán la opción de “Gnome Classic” (la gente de gnome no quiso decirles obsoletos, viejos y desadaptados).

    Saludos.

    Eduard Lucena

  3.   Daneel_Olivaw dijo

    ¿Soy el único al que le parece aberrante que exista un entorno de escritorio por defecto que necesita una computadora potente para usarse? Especialmente considerando los problemas que hay en linux para conseguir drivers de video.

  4. he instalado ubuntu 11.04 en mi laptop y en un principio no pude utilizar unity; después de este post abrí el terminal y me aparecía esto:

    OpenGL vendor string: NVIDIA Corporation
    OpenGL renderer string: GeForce FX Go5200/AGP/SSE2
    OpenGL version string: 2.1.2 NVIDIA 173.14.30

    Not software rendered: yes
    Not blacklisted: no
    GLX fbconfig: yes
    GLX texture from pixmap: yes
    GL npot or rect textures: yes
    GL vertex program: yes
    GL fragment program: yes
    GL vertex buffer object: yes
    GL framebuffer object: yes
    GL version is 1.4+: yes

    Unity supported: no

    me puse a investigar sobre “not blacklisted: no” y encontré que instalando en un terminal esto “sudo apt-get install unity-2d” podía activar mi escritorio Unity, y gualá amigos lo tengo estoy configurándolo a mi gusto y está genial. Saludos desde Panamá

  5. no sos el único. pero si la idea es crear un entorno en base a las computadoras potentes de hoy en día pero se seguirá desarrollando sin aumentar el uso de los recursos no lo veo mal. pero si la idea es como hace MS que siempre que saca un nuevo programa, S.O, o actualización necesita mas recursos que el anterior eso si lo veo mal.

  6.   Daneel_Olivaw dijo

    Pero el entorno por default tiene que ser, en mi opinión, liviano y sin efectos de más. Después si uno quiere (y puede) meterle mil y un “eye-candy”, que lo haga.

  7.   Usemos Linux dijo

    Claro, es el Unity 2D. El test funciona para ver si podés usar el Unity 3D. De todos modos, es muy útil tu aclaración.
    Un fuerte abrazo! Pablo.

  8.   Daneel_Olivaw dijo

    No dije Gnome 2. Claro que por ahora es lo único usable. El gnome shell y el unity son prácticamente iguales en su esquema. A windows 7 le va bien con el escritorio “clásico” (barra inferior con lista de ventanas, menú inicio). Yo diría más bien al contrario, ¿cómo le vendés una cosa como Unity a alguien que usó Windows XP durante 7 años?

  9.   Hernan Czarniecki dijo

    Xfce 4.8 es el gestor que mayor crecimiento tuvo, lamentablemente a mi me pasa lo mismo, tengo un Celeron con 5 años, 1.5 Gb, y no puedo con (por suerte) con Unity 3d ni Gnome Shell, tratan de copiar a Mac y les sale mal, ya que no le llegan ni a los tobillos. Se están desviando un poco de la filosofía Linux. Que lindos tiempos aquellos en los que teníamos un Os estable, sólido, personalizable y no estas betas llenas de problemas. Ningún usuario de Micro$oft se va a pasar a esto y, ademas no me parece que sea la idea. Unity, la gran revolución…por favor, es un Dock horizontal y malo.

  10.   Shupacabras dijo

    Es el 2011, estamos a meses de un nuevo años, un linux con gnome2 no se lo vendemos ni al tipo con mas buena onda.

    Comparemos un Mac de ultima generacion con su OS, un equipo con Win8 y su metro, y un Ubuntu con gnome2 ???, los tiempos cambian.

    De ahi en mas te puede gustar mas Gnome-shell o Unity o un KDE tuneado, eso va en gusto del consumidor, ahora que se vea como Win95.. mmmm, no se me parece a mi

  11.   Xraulo dijo

    Shupacabras, me haces sentir que sos mi otro yo!!!!, yo vengo de WIN 286, 386 3.0 ETC, y la hago facil, instale 11.10 y mi mujer que de pc SO etc no entiende nada, le encanto la facilidad del Unity con la barrita que sobre sale………….
    Mas claro imposible, le doy una maquina con XP y me eligio la que tiene el 11.10

  12.   Shupacabras dijo

    ehh… no se como explicarme, lamentablemente me he adaptado a Unity muy rapido y para mi caso en particular es indispensable, pero creo que para aquellos que no pueden adaptarce pueden usar el modo clasico con gnome3 con los efectos de escritorio.

    Yo no tengo 7 años de Windows, en mi caso estoy desde 1995, hace un par de años me mude completamente a Linux y siempre me parecio e hice comentarios que no me gustaba su interfaz grafica.
    Hoy por hoy soy un usuario conforme, con la 11.10 lo unico que hice fue poner el fondo de escritorio naranja

  13.   Shupacabras dijo

    No se en notebook, yo en un pentium4 con 1gb ram y video intel funciona el Unity 2d perfecto, y en un amd x2 con video nforce 630a el 3d vuela, al principio se frenaba, el driver privativo un desastre, luego borre todas las configuraciones viejas, las carpetas que comienzan con punto en mi carpeta de usuario y ahi comanzo a funcionar perfecto,
    al final instale ubuntu y lo unico que hice fue cambiar el fondo de pantalla por ese naranja (e instale las aplicaciones que utilizo obvio)
    yo usuario soy un usuario conforme

  14.   diego dijo

    en eso tienes mucha razón, la ventaja (tal vez) es que hay alternativas muy buenas como MATE que funcionan con gnome3, de echo hay un tutorial para arch de como instalarlo o al menos es una guia de referencia :S https://bbs.archlinux.org/viewtopic.php?id=121162

    Saludos(:

  15.   diego dijo

    en eso tienes mucha razón, la ventaja (tal vez) es que hay alternativas muy buenas como MATE que funcionan con gnome3, de echo hay un tutorial para arch de como instalarlo o al menos es una guia de referencia :S https://bbs.archlinux.org/viewtopic.php?id=121162

    Saludos(:

  16.   diego dijo

    en eso tienes mucha razón, la ventaja (tal vez) es que hay alternativas muy buenas como MATE que funcionan con gnome3, de echo hay un tutorial para arch de como instalarlo o al menos es una guia de referencia :S https://bbs.archlinux.org/viewtopic.php?id=121162

    Saludos(:

  17.   Usemos Linux dijo

    Excelente punto!

  18.   Shupacabras dijo

    parece que somos mitad y mitad 😀

  19.   Xraulo dijo

    diste en el clavo, para mi la mejor forma de difundir Linux fue vendiendo y reparando maquinas e instalando Linux ya sea Mandriva, OpenSuse (que bien anda) y Ubuntu, una de las ventajas es que se veia casi igual y tocandolo un poquito WUANDERFULL (si lo escribi asi a proposito)
    Los tiempos cambiaron pero tambien es cierto que para estas mejoras se necesitan mejores equipos, si hablamos de maquinas de hace 4 años, estaria bien tanto el XP como Gnome 2

  20.   Xraulo dijo

    Algo asi queria leer, la verdad que a mi me va lento y o se como volver al 10.04, pero me parece que algo debia estar mal, le agregue 2gb de ram veremos si mejora, pero mi intencion es tratar de conseguir una notebook gama media, por lo que me contas, n i a palos el 11.10?

  21.   Courage dijo

    Tengo pendiente escribir por aquí tutoriales de Arch, a lo mejor te sirven.

    Uno de los fallos de Ubuntu es precisamente ese que dices, come muchos recursos

  22.   Azur_BlackHole dijo

    Me manda mensaje de violacion de Segmento nada mas

  23.   Thunder dijo

    Mi portatil es de gama media de hace 3 años y KDE SC 4.7.2 en Kubuntu 11.10 funciona perfectamente, comprueba que estés usando los drivers de video adecuados 🙂

  24.   Car32x dijo

    Buena información compañero. Por otro lado decirte que me gusta como llevas el Blog, saludos desde España amigo.

  25.   xapa69 dijo

    Cuando pongo el comando en la terminal me sale lo siguiente

    OpenGL vendor string: NVIDIA Corporation
    OpenGL renderer string: GeForce Go 7300/PCI/SSE2
    OpenGL version string: 2.1.2 NVIDIA 285.05.09

    Not software rendered: yes
    Not blacklisted: no
    GLX fbconfig: yes
    GLX texture from pixmap: yes
    GL npot or rect textures: yes
    GL vertex program: yes
    GL fragment program: yes
    GL vertex buffer object: yes
    GL framebuffer object: yes
    GL version is 1.4+: yes

    Unity supported: no

    Únicamente me sale negativo “blacklisted”, es posible solucionarlo….
    Gracias.

  26.   Usemos Linux dijo

    Entonces sólo vas a poder usar unity 2d. 🙁
    Saludos!

  27.   Usemos Linux dijo

    Buen punto! Nunca lo había pensado así…

  28.   alex dijo

    kiero jugar eventura epica

  29.   adrian dijo

    y como descargaste el unity asi como apararece para windows o uno especial y el comando lo aggarro en 13.10 si corrio obtuve yes

  30.   Jonnathan dijo

    Cuanta data soporta Unity??? (GB)

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *